[OS X TeX] Deprecated pdfTeX primitive lurking in gwTeX

Bruno Voisin bvoisin at mac.com
Fri Jul 8 11:46:19 CEST 2005


Is anybody else seeing this, in gwTeX installed with the latest TeX i- 
Package using the TL2005 Devel. setup: upon typesetting with pdfTeX,  
a warning in the console window:

     ! pdfTeX warning: Primitive \pdfoptionpdfminorversion is  
obsolete; use \pdfmino
     rversion instead.

This seems to be caused by the command \pdfoptionpdfminorversion  
lurking inside /usr/local/teTeX/share/texmf.gwtex/tex/generic/config/ 
pdftexconfig.tex:

     \pdfoptionpdfminorversion=4

and being hence built-in when creating the pdfTeX and pdfLaTeX formats.

Possible causes IMHO: Gerben using pdftexconfig.tex from an outdated  
(2004?) version of teTeX, or pdftexconfig.tex still containing the  
error in the current teTeX.

The warning is totally harmless, of course, in any case.

Bruno Voisin


--------------------- Info ---------------------
Mac-TeX Website: http://www.esm.psu.edu/mac-tex/
           & FAQ: http://latex.yauh.de/faq/
TeX FAQ: http://www.tex.ac.uk/faq
List Post: <mailto:MacOSX-TeX at email.esm.psu.edu>





More information about the Macostex-archives mailing list